Subject: Re: [bug#30340] [PATCH 1/6] gnu: qtbase: Use the store paths for other packages and dynamically loaded libs.

From: Hartmut Goebel <[email-masked]>
Date: Fri, 9 Feb 2018 00:49:18 +0100

Hi Danny,

Am 06.02.2018 um 18:54 schrieb Danny Milosavljevic:
> The part under discussion is
> static bool resolveLibraryInternal()
> {
>     QLibrary lib;
> #ifdef LIBRESOLV_SO
>     lib.setFileName(QStringLiteral(LIBRESOLV_SO));
>     if (!lib.load())
> #endif
>     {
>         lib.setFileName(QLatin1String("resolv")); <-----
>         if (!lib.load())
>             return false;
> ...
>
> so I guess it can't hurt to substitute something in the line with the arrow,
> but LIBRESOLV_SO is more important, right?

Thanks a lot for this valuable hint! I investigated this:

1) LIBRESOLV_SO seems to be not defined. The reason seems to be that
__GNU_LIBRARY__ is not defined and thus gnu/lib-names.h is not included.
(I grepped the code and build-reesults just after the build stage.)

2) Even if LIBRESOLV_SO would be defined, we would need to append the
store path. (No problem, though.)

Any idea how to solve 1)?

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |